#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	List
%define		pnam	MoreUtils-XS
Summary:	List::MoreUtils::XS - Provide compiled List::MoreUtils functions
Summary(pl.UTF-8):	List::MoreUtils::XS - skompilowane funkcje List::MoreUtils
Name:		perl-List-MoreUtils-XS
Version:	0.430
Release:	4
# for code before 0.417: same as perl 5.8.4 or later
License:	Apache v2.0 (code since 0.417), GPL v1+ or Artistic (older code)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/List/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e77113e55b046906aecfb4ddb4f0c662
URL:		https://metacpan.org/release/List-MoreUtils-XS
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Storable
BuildRequires:	perl-Test-Simple >= 0.96
%endif
Conflicts:	perl-List-MoreUtils < 0.417
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
List::MoreUtils::XS is a backend for List::MoreUtils. Even if it's
possible (because of user wishes) to have it practically independent
from List::MoreUtils, it technically depend on List::MoreUtils. Since
it's only a backend, the API is not public and can change without any
warning.

%description -l pl.UTF-8
List::MoreUtils::XS to backend dla List::MoreUtils. Nawet jeśli jest
możliwe (ze względu na życzenia użytkownika) zainstalowanie tego
modułu niezależnie od List::MoreUtils, technicznie zależy on od
List::MoreUtils. Ponieważ jest to tylko backend, API nie jest
publiczne i może się zmienić bez ostrzeżenia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%dir %{perl_vendorarch}/List/MoreUtils
%{perl_vendorarch}/List/MoreUtils/XS.pm
%dir %{perl_vendorarch}/auto/List/MoreUtils
%dir %{perl_vendorarch}/auto/List/MoreUtils/XS
%attr(755,root,root) %{perl_vendorarch}/auto/List/MoreUtils/XS/XS.so
%{_mandir}/man3/List::MoreUtils::XS.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-List-MoreUtils-XS.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 65dc582
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> f1be081
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 96dcd9d
- rebuild with perl 5.34.0

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 241d9ab
- updated to 0.430

* Mon May 10 2021 Jan Rękorajski <baggins@pld-linux.org> 3c62445
- rebuild with perl 5.32

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> 94f080b
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> bf716b3
- rebuild with perl 5.32

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 0f01de8
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d3448ab
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> ff5dec1
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Oct 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 7684be3
- new, split from perl-List-MoreUtils since 0.417

